From 59e5d345f3f74d35906ae6ef8bff1cf163a1e04e Mon Sep 17 00:00:00 2001
From: sebastiii <sebastiii@team-mediaportal.com>
Date: Sun, 30 Jun 2013 16:15:53 +0200
Subject: [PATCH] Make MP Compatible to Windows 8.1 Preview.

---
 Common-MP-TVE3/OsInfo/OSInfo.cs | 13 +++++++++++++
 1 file changed, 13 insertions(+)

diff --git a/Common-MP-TVE3/OsInfo/OSInfo.cs b/Common-MP-TVE3/OsInfo/OSInfo.cs
index 7b8a497..ee572f1 100644
--- a/Common-MP-TVE3/OsInfo/OSInfo.cs
+++ b/Common-MP-TVE3/OsInfo/OSInfo.cs
@@ -200,6 +200,10 @@ namespace OSInfo
       /// Windows 8
       ///</summary>
       Windows8,
+	  ///<summary>
+      /// Windows 8
+      ///</summary>
+      Windows81,
       ///<summary>
       /// Windows 2003 Server
       ///</summary>
@@ -513,6 +517,9 @@ namespace OSInfo
                     case 2:
                       osName = OSProductType == NT_WORKSTATION ? "Windows 8" : "Windows 2012";
                       break;
+                    case 3:
+                      osName = OSProductType == NT_WORKSTATION ? "Windows 81" : "Windows 2012";
+                      break;
                   }
                   break;
                 }
@@ -551,6 +558,8 @@ namespace OSInfo
           return OSProductType == NT_WORKSTATION ? OSList.Windows7 : OSList.Windows2008R2;
         case 62:
           return OSProductType == NT_WORKSTATION ? OSList.Windows8 : OSList.Windows2012;
+        case 63:
+          return OSProductType == NT_WORKSTATION ? OSList.Windows81 : OSList.Windows2012;
       }
       return OSList.Windows2000andPrevious;
     }
@@ -591,6 +600,10 @@ namespace OSInfo
       { // Windows 8 RTM
         return OsSupport.FullySupported;
       }
+      if (VerifyDesktopOSMinRequirement(6, 3, 9431, NT_WORKSTATION, 0))
+      { // Windows 8.1 Preview
+        return OsSupport.FullySupported;
+      }
       if (IsServer())
       { // any server OS
         return OsSupport.FullySupported;
-- 
1.8.0.msysgit.0

